extends ColorRect

@onready var Icon: Sprite2D = get_parent().get_parent().get_node("Icon")

func _physics_process(_delta: float) -> void:
	# The position of the sprite
	var position := Icon.global_position.floor()
	var image := Image.new()
	image.create(1,1, false, Image.FORMAT_RGBAF)
	
	# Store the position in the red and green channel
	image.set_pixel(0, 0, Color(position.x, position.y, 0, 0))
	
	var texture := ImageTexture.new()
	texture.create_from_image(image)
	material.set_shader_param("position", texture)
	
	var canvas_transform = self.get_canvas_transform()
	var t = Transform2D(0, -canvas_transform.origin)
	t = t.scaled(Vector2.ONE/canvas_transform.get_scale())
	material.set_shader_param("global_transform", t)
